Skip to Content.
Sympa Menu

sm-commit - [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (0518c30fde8f4f46c516c3b7dd76ff5709582b0c)

sm-commit AT lists.ibiblio.org

Subject: Source Mage code commit list

List archive

Chronological Thread  
  • From: Justin Boffemmyer <scm AT sourcemage.org>
  • To: sm-commit AT lists.ibiblio.org
  • Subject: [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (0518c30fde8f4f46c516c3b7dd76ff5709582b0c)
  • Date: Sat, 27 Dec 2008 11:15:51 -0600

GIT changes to test cauldron by Justin Boffemmyer <flux AT sourcemage.org>:

scripts/spellcaster.sh | 13 +++++++++----
1 files changed, 9 insertions(+), 4 deletions(-)

New commits:
commit 0518c30fde8f4f46c516c3b7dd76ff5709582b0c
Author: Justin Boffemmyer <flux AT sourcemage.org>
Commit: Justin Boffemmyer <flux AT sourcemage.org>

scripts/spellcaster.sh: echo error messages

Echo error messages before exiting the script if there are problems with
the target/iso/sys directories.

diff --git a/scripts/spellcaster.sh b/scripts/spellcaster.sh
index 83abc96..241c379 100755
--- a/scripts/spellcaster.sh
+++ b/scripts/spellcaster.sh
@@ -71,13 +71,16 @@ function sanity_check() {
local choice=

# Ensure that TARGET is a directory
- [[ -d "$TARGET" ]] || exit 3
+ if [[ -d "$TARGET" ]] ||
+ echo "$TARGET does not exist!" && exit 3

# If ISODIR is not a directory, create it.
- [[ ! -d "$ISODIR" ]] && mkdir -p "$ISODIR" || exit 3
+ [[ ! -d "$ISODIR" ]] && mkdir -p "$ISODIR" ||
+ echo "couldn't create $ISODIR" && exit 3

# If SYSDIR is not a directory, create it.
- [[ ! -d "$SYSDIR" ]] && mkdir -p "$SYSDIR" || exit 3
+ [[ ! -d "$SYSDIR" ]] && mkdir -p "$SYSDIR" ||
+ echo "couldn't create $SYSDIR" exit 3

if [[ -e "$config" ]]
then
@@ -182,7 +185,9 @@ OPTIONAL
function clean_target() {
local config="$TARGET/etc/sorcery/local/kernel.config"

- # Restore resolv.conf
+ # Restore resolv.conf, the first rm is needed in case something
+ # installs a hardlink (like ppp)
+ rm -f "$TARGET/etc/resolv.conf" &&
cp -f "$TARGET/tmp/resolv.conf" "$TARGET/etc/resolv.conf" &&
rm -f "$TARGET/tmp/resolv.conf"




  • [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (0518c30fde8f4f46c516c3b7dd76ff5709582b0c), Justin Boffemmyer, 12/27/2008

Archive powered by MHonArc 2.6.24.

Top of Page